Get Channels of the given Connectivity / Pipe.
get
/underlay/channels/{id}
Get Channels of the given Connectivity / Pipe.
Request
Path Parameters
-
id(required): string
The ID of the Pipe / Connectivity to get Channels for.Example:
30-727
Query Parameters
-
filterEnabled: boolean
If set true, filters out channels which are not enabled. This applies only to Pipe Fiber channels.Default Value:
falseExample:false -
filterUnassigned: boolean
If set true, filters out channels which are not enabling any trail.Default Value:
falseExample:false -
limit: integer
Maximum number of channels to return. Defaults to 25 when omitted or less than one.Default Value:
25Example:10 -
offset: integer
Number of channels to skip before returning results. Defaults to 0 when omitted or less than one.Default Value:
0Example:100 -
sortBy: string
Sorting field, defaults to "id" when not supplied. "id" and "name" are the valid values.Default Value:
idAllowed Values:[ "id", "name" ]Example:id -
sortOrder: string
Sorting order, defaults to "asc" when not supplied. "asc" and "desc" are the valid values.Default Value:
ascAllowed Values:[ "asc", "desc" ]Example:desc
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The Channels returned successfully.
Headers
-
X-Total-Count:
Total number of channels matching the requested filters.
Root Schema : ChannelsResponse
Type:
objectOrdered set of channels.
Show Source
-
channels: array
channels
-
isFiber: boolean
Flag to indicate if the channels are from a fiber pipe or not.
Example:
{
"channels":[
{
"id":"739-01",
"entityId":"70500001",
"name":"739-1577.02503 nm / 190.1 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel"
},
{
"id":"739-04",
"entityId":"81511",
"name":"739-1574.54022 nm / 190.4 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel",
"trails":[
{
"connectivityIdentifier":"HYDR01TCA.H01 / HYDR05TCA.H01 / OTU4 / OTU4 / 1",
"id":"745",
"entityId":"81705",
"connectionType":"Connectivity",
"specName":"Channelized Facility",
"technology":"OTN",
"rateCode":"OTU4"
}
]
},
{
"id":"739-04.5",
"entityId":"81513",
"name":"739-1574.12685 nm / 190.45 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel",
"trails":[
{
"connectivityIdentifier":"HYDR01TCA.H01 / HYDR05TCA.H01 / OTU4 / OTU4 / 2",
"id":"1875006",
"entityId":"36150091",
"connectionType":"Connectivity",
"specName":"Channelized Facility",
"technology":"OTN",
"rateCode":"OTU4"
}
]
},
{
"id":"739-05",
"entityId":"81515",
"name":"739-1573.71369 nm / 190.5 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel"
},
{
"id":"739-05.5",
"entityId":"81517",
"name":"739-1573.30075 nm / 190.55 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel"
},
{
"id":"739-07",
"entityId":"75000001",
"name":"739-1572.06323 nm / 190.7 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel"
}
],
"isFiber":true
}Nested Schema : channels
Type:
Show Source
array-
Array of:
object Channel
General information about the Connectivity / Pipe channel.
Nested Schema : Channel
Type:
objectGeneral information about the Connectivity / Pipe channel.
Show Source
-
connectionType: string
Allowed Values:
[ "DeviceInterface", "Equipment", "EquipmentHolder", "LogicalDevice", "LogicalDeviceAccount", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPNetwork", "IPSubnet", "NetworkAddressDomain", "FlowIdentifier", "CustomObject", "CustomNetworkAddress", "Pipe", "PipeTerminationPoint", "Connectivity" ]The list of valid values for the resource type. -
connectivityIdentifier: string
The identifier of the Connectivity.
-
entityId: string
The Entity ID of the Pipe / Connectivity.
-
href: string
(uri)
The inventory system URI of the Connectivity / Pipe.
-
id: string
The ID of the Pipe / Connectivity.
-
name: string
The name of the Pipe.
-
rateCode: string
The ratecode of the Connectivity.
-
specName: string
The name of the specification.
-
technology: string
The technology of the Connectivity.
-
trails: array
trails
The trails enabled by this channel.
Example:
{
"id":"739-05",
"entityId":"81515",
"name":"739-1573.71369 nm / 190.5 THz",
"connectionType":"Pipe",
"specName":"DWDM_Fiber_Channel"
}Nested Schema : trails
Type:
arrayThe trails enabled by this channel.
Show Source
-
Array of:
object ConnectionInfo
General information about the Connectivity / Pipe entity terminated on the subnode.
Nested Schema : ConnectionInfo
Type:
objectGeneral information about the Connectivity / Pipe entity terminated on the subnode.
Show Source
-
connectionType: string
Allowed Values:
[ "Pipe", "Connectivity" ]Type of the Connection -
connectivityIdentifier: string
The identifier of the Connectivity.
-
entityId: string
The Entity ID of the Pipe / Connectivity.
-
href: string
(uri)
The inventory system URI of the Connectivity / Pipe.
-
id: string
The ID of the Pipe / Connectivity.
-
name: string
The name of the Pipe.
-
rateCode: string
The ratecode of the Connectivity.
-
specName: string
The name of the specification.
-
technology: string
The technology of the Connectivity.
Examples
400 Response
The request isn't valid.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
401 Response
You aren't authorized to make this request.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
403 Response
The request is forbidden.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
404 Response
Paths are not found.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
500 Response
An internal server error occurred.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source